Get transaction status history
curl --request GET \
--url https://api.pgw-sandbox.finventi.com/v1/transactions/{id}/status-historyimport requests
url = "https://api.pgw-sandbox.finventi.com/v1/transactions/{id}/status-history"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.pgw-sandbox.finventi.com/v1/transactions/{id}/status-history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"statusHardvalue": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"additionalReason": "<string>",
"reason": "<string>",
"returnTransactionId": 123,
"sepaMessageId": "<string>",
"status": "<string>"
}
]{
"code": "<string>",
"data": {
"errors": [
{
"code": "<string>",
"field_name": "<string>",
"message": "<string>",
"value": "<string>"
}
],
"message": "<string>"
},
"message": "<string>"
}{
"code": "<string>",
"data": {
"errors": [
{
"code": "<string>",
"field_name": "<string>",
"message": "<string>",
"value": "<string>"
}
],
"message": "<string>"
},
"message": "<string>"
}Payment Information
Get transaction status history
Retrieves the complete status history of a payment transaction.
GET
/
v1
/
transactions
/
{id}
/
status-history
Get transaction status history
Path Parameters
Transaction ID.
Response
Returned transaction status history
Hard value of the status
The date and time in UTC time zone, when the status change has occurred
Name of the user which triggered the status change
Additional reason of the status change
Reason of the status change
Return transaction ID (Only in case of Cancellation Request)
Id of the SEPA message which triggered the status change
Name of the status
Last modified on September 26, 2025